package com.ruoyi.project.patrol.dev.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 灭火器材对象 t_dev_annihilator
 *
 * @author ruoyi
 * @date 2023-08-28
 */
public class TDevAnnihilator extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 位号
     */
    @Excel(name = "位号")
    private String devNo;

    /**
     * 位置
     */
    @Excel(name = "位置")
    private String position;

    /**
     * 灭火器型号&类型
     */
    @Excel(name = "灭火器型号&类型")
    private String anniType;

    /**
     * 数量
     */
    @Excel(name = "数量")
    private String anniNum;

    /**
     * 防雨防晒护罩
     */
    private String anniSafe;

    /**
     * 灭火器类型
     */
    private String devType;

    /**
     * 状态
     */
    private Long delFlag;

    /**
     * 创建人
     */
    private String createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 修改人
     */
    private String updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updatedate;

    /** 状态 */
    @Excel(name = "状态",readConverterExp = "1=在用,2=维修,3=停用")
    private String  status;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 部门编号
     */
//    @Excel(name = "部门编号")
    private Long deptId;

    private String  patrolType;

    /** 忽略检查列 */
    private String ignoreColumn;

    private String precision;

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public String getIgnoreColumn() {
        return ignoreColumn;
    }

    public void setIgnoreColumn(String ignoreColumn) {
        this.ignoreColumn = ignoreColumn;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPatrolType() {
        return patrolType;
    }

    public void setPatrolType(String patrolType) {
        this.patrolType = patrolType;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDevNo(String devNo) {
        this.devNo = devNo;
    }

    public String getDevNo() {
        return devNo;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPosition() {
        return position;
    }

    public void setAnniType(String anniType) {
        this.anniType = anniType;
    }

    public String getAnniType() {
        return anniType;
    }

    public void setAnniNum(String anniNum) {
        this.anniNum = anniNum;
    }

    public String getAnniNum() {
        return anniNum;
    }

    public void setAnniSafe(String anniSafe) {
        this.anniSafe = anniSafe;
    }

    public String getAnniSafe() {
        return anniSafe;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getDevType() {
        return devType;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    @Override
    public String toString() {
        return
                "位号：" + getDevNo() +
                        " 位置：" + getPosition();
    }
}
